package org.jeecg.modules.pay.core;

import java.io.IOException;
import java.util.Properties;

/**
 * 拉卡拉支付配置参数
 *
 * @author Mr丶xie
 * @version 1.0.0
 * @mail xielinke@lklink.cn
 */
public class LakalaPayConfig {

    private static Properties properties;

    private static String getValue(String key) {
        if (properties == null) {
            properties = new Properties();
            try {
                properties.load(LakalaPayConfig.class.getClassLoader().getResourceAsStream("lakala-config.properties"));
            } catch (IOException e) {

            }

        }
        return properties.getProperty(key);
    }

    /**
     * 接入方唯一编号
     */
    public static final String APPID = getValue("appid");
    /**
     * 证书序列号
     */
    public static final String SERIAL_NO = getValue("serial_no");

    /**
     * 私钥证书文件名
     */
    public static final String SECRET_PRIVATE_KEY_NAME = getValue("secret_private_key_name");

    /**
     * 公钥证书文件名
     */
    public static final String SECRET_PUBLIC_KEY_NAME = getValue("secret_public_key_name");

    /**
     * 商户号
     */
    public static final String MERCHANT_NO = getValue("merchant_no");

    /**
     * 终端号
     */
    public static final String TERM_NO = getValue("term_no");

    /**
     * 签名生成随机字符串
     */
    public static final String STR = getValue("str");

    /**
     * 渠道号 （用于接收订单通知报文，拉卡拉开通）
     */
    public static final String CHANNEL_ID = getValue("channel_id");

    /**
     * 第三⽅客户端号(拓客SAAS)
     */
    public static final String TK_CLIENT_ID = getValue("tk_client_id");

    /**
     * 第三⽅客户端密码(拓客SAAS)
     */
    public static final String TK_CLIENT_SECRET = getValue("tk_client_secret");

}
